;
;
; ==================================================
;
;   BUT_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/03/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Buttons Test
; ==================================================
;
; Subroutines for Push Buttons Switch
;
; Dip Switch Test
BUT_308:
           mov    #$0f,ADPE    ; set port for digital on 4-7
           bset   0,PTFD       ; turn LED1 Off
           bset   1,PTFD       ; turn LED2 Off
           bset   2,PTFD       ; turn LED3 Off
           bset   3,PTFD       ; turn LED4 Off
           jsr    Sci1Str6
           fdb    MCRLF
           fdb    MCRLF
           fdb    MPush        ; Push Buttons Test
           fdb    MButtons
           fdb    MTest
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set USER_EN Position 2
           fdb    MUSER_EN     ; 
           fdb    MPosit       ; 
           fdb    M2           ; 
           fdb    MOn 
           
           jsr    PKey         ; Press any key to continue
; Verify all buttons are low
           lda    PTAD
           and    #$f0         ; bit 4 - 7
           bne    BUT308F      ; report fail
; Test SW1
           jsr    Sci1Str4     ; Push SW1
           fdb    MCRLF
           fdb    MCRLF
           fdb    MPush
           fdb    MSW1
; wait for key to be pressed
BUT308L1:
           lda    PTAD
           and    #$10
           beq    BUT308L1
; Test SW2
           jsr    Sci1Str4     ; Push SW2
           fdb    MCRLF
           fdb    MCRLF
           fdb    MPush
           fdb    MSW2
; wait for key to be pressed
BUT308L2:
           lda    PTAD
           and    #$20
           beq    BUT308L2
; Test SW3
           jsr    Sci1Str4     ; Push SW3
           fdb    MCRLF
           fdb    MCRLF
           fdb    MPush
           fdb    MSW3
; wait for key to be pressed
BUT308L3:
           lda    PTAD
           and    #$40
           beq    BUT308L3
; Test SW1
           jsr    Sci1Str4     ; Push SW4
           fdb    MCRLF
           fdb    MCRLF
           fdb    MPush
           fdb    MSW4
; wait for key to be pressed
BUT308L4:
           lda    PTAD
           and    #$80
           beq    BUT308L4
; turn user_enable off
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF
           jsr    Sci1Str5
           fdb    MSet         ; Set USER_EN Position 2 Off
           fdb    MUSER_EN     ; 
           fdb    MPosit       ; 
           fdb    M2           ; 
           fdb    MOff 
           jsr    PKey         ; press any key to continue

           jsr    Passed
   
           rts
;
; Report push button fail here
BUT308F:
          jsr    Failed       ; report fail
 
           rts
;
;