;
;
; ==================================================
;
;   Com2_308.asm    Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 03/03/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Com2 Test
; ==================================================
;
; Subroutines for Dip Switch
;
; Dip Switch Test
Com2_308:
           
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF

           jsr    Sci1Str3
           fdb    MCOM2        ; Buzzer Test
           fdb    MTest
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set COM_SW Position 2 3
           fdb    MCOM_SW      ; 
           fdb    MPosit       ; 
           fdb    M2           ; 
           fdb    M3           ;
           jsr    Sci1Str4     ; 4 5 6 On
           fdb    M4
           fdb    M5
           fdb    M6
           fdb    MOn 
           
           jsr    PKey         ; Press any key to continue
; short Com2 pins 1 & 4, 2 & 3, 7 & 8
           jsr    Sci1Str2
           fdb    MCRLF
           fdb    MCRLF
           jsr    Sci1Str2     ; Short COM2 
           fdb    MShort
           fdb    MCOM2
           jsr    Sci1Str5     ; Pins 1 and 4  
           fdb    MCRLF
           fdb    MPins
           fdb    M1
           fdb    Mand
           fdb    M4
           jsr    Sci1Str5     ; Pins 2 and 3 
           fdb    MCRLF
           fdb    MPins
           fdb    M2
           fdb    Mand
           fdb    M3
           jsr    Sci1Str5     ; Pins 7 and 8
           fdb    MCRLF
           fdb    MPins
           fdb    M7
           fdb    Mand
           fdb    M8
           jsr    PKey         ; Press any key to continue
; Check pins 1 and 4
           bclr   6,PTFD       ; set pin 1 low 
           jsr    DELAY50M     ; delay for response
           lda    PTDD         ; read Com2 pin 4
           and    #$40
           bne    COM2308F     ; report fail
           bset   6,PTFD       ; set pin 1 high
           jsr    DELAY50M     ; delay for response
           lda    PTDD         ; read Com2 pin 4
           and    #$40
           beq    COM2308F     ; report fail
; Check pins 7 and 8
           bclr   7,PTFD       ; set pin 1 low 
           jsr    DELAY50M     ; delay for response
           lda    PTDD         ; read Com2 pin 4
           and    #$80
           bne    COM2308F     ; report fail
           bset   7,PTFD       ; set pin 1 high
           jsr    DELAY50M     ; delay for response
           lda    PTDD         ; read Com2 pin 4
           and    #$80
           beq    COM2308F     ; report fail
; Start Loop Back Test on Com2
           jsr    Sci1Str5 
           fdb    MCRLF
           fdb    MCRLF
           fdb    MLoop
           fdb    MBack
           fdb    MTest
    
; Send  $55 and verify result 
           lda    #$55
           jsr    Sci2_Out     ; send char
           jsr    DELAY50M     ; wait for response
           jsr    INPUT2       ; get char
           cmpa   #$55         ; compare result
           bne    Com2308L     ; report fail
; Send  $AA and verify result 
           lda    #$AA
           jsr    Sci2_Out     ; send char
           jsr    DELAY50M     ; wait for response
           jsr    INPUT2       ; get char
           cmpa   #$AA         ; compare result
           bne    Com2308L     ; report fail
; Disable Com2
           fdb    MCRLF        
           jsr    Sci1Str5
           fdb    MSet         ; Set COM_SW Position 2 3
           fdb    MCOM_SW      ; 
           fdb    MPosit       ; 
           fdb    M2           ; 
           fdb    M3           ;
           jsr    Sci1Str4     ; 4 5 6 Off
           fdb    M4
           fdb    M5
           fdb    M6
           fdb    MOff 
           
           jsr    PKey         ; Press any key to continue



           jsr   Passed        ; report Passed   

           rts
;
;
COM2308F:
          jsr    Failed        ; report Failed
          rts

;
Com2308L:
          jsr    Sci1Str4
          fdb    MCRLF
          fdb    MCRLF
          fdb    MLoop
          fdb    MBack
          jsr    Failed
          rts
;
;