;
;
; ========================================================
;
;     LCD_308.asm:       AXIOM M68EVB08GB60 
;                                   
;         Version:       1.0   Released 01/15/2003
;          Author:       Gary Karnes , Axiom Manufacturing
;        Compiler:       HC08
;        Platform:       AXIOM M68EVB08GB60 AXM-0308 
;        Purpose:        Controls the on board LCD.
; ========================================================
; This program interfaces with the lcd in 4 bit mode
;
; Equates
LCD_RW:     equ    3          ; LCD RW select PTGD
LCD_RS:     equ    6          ; 0 = command   1 = data
LCD_EN:     equ    7          ; LCD EN select PTED
;
;
; Test LCD
LCD_Tst:
            jsr    Sci1Str2
            fdb    MCRLF
            fdb    MCRLF
            jsr    Sci1Str3        ; LCD Test
            fdb    MLCD
            fdb    MTest
            fdb    MCRLF
            jsr    Sci1Str5        ; Set USER_ENABLES Position 4 On
            fdb    MSet 
            fdb    MUSER_EN
            fdb    MPosit
            fdb    M4
            fdb    MOn
            jsr    PKey            ; press any key to continue 
; display on LCD
            jsr    LCD_T2PP        ; initilize LCD

; Verify mesage on LCd
            jsr    Sci1Str6        ; Verify Message on LCD
            fdb    MCRLF
            fdb    MCRLF
            fdb    MVerify
            fdb    MMessage
            fdb    MOn
            fdb    MLCD
            jsr    PKey            ; wait for operator

;           rts
;
; Lcd test
LCD_T2PP:
;
                  
            jsr     Lcd2PP_I         ; init Lcd 

; test
;            rts


;           switch Lcd_cs to high, select data register
            bset     LCD_RS,PTED     ; select Lcd data register
;            
; LCD_LOOP:

;           lda     #$30
;           jsr     LCD_W_8

; test
            ldhx    #MAxiom
            jsr    LCDSTRP            ; send string


;           jsr     LCDSTR1
;           fdb     MAxiom             ; display 'Axiom'

           jsr     LCDSTR1
           fdb     Mis                ; display 'is'

;           jsr     LCDSTR1
;           fdb     MThe               ; display 'The'


;           lda     #$c2              ; line two
;           jsr     LD2PP_CD



;           jsr     LCDSTR1
;           fdb     MPlace

;here:
;         bra    here
;           jsr     M_CRLF            ; new line
;           jsr     M_CRLF
;           jsr     String3
;           fdb     MVerify           ; Verify Message on
;           fdb     MMessage
;           fdb     Mon
;           jsr     String1
;           fdb     MLCD              ; LCd
;           jsr     PKEY              ; Press any key
;           jsr     Input

           rts
;
; Lcd Setup , 4 bit wide
Lcd2PP_I:
           bclr    LCD_RW,PTGD
           bclr    LCD_RS,PTED      ; select Rs          
           bclr    LCD_EN,PTED      ; select lcd commands Cs=0 En=0


;test
;           rts 

;
;
; set to 4 bit  
          jsr      DELAY50M         ; delay
          lda      #$03             ; send 3
          jsr      LCD_W_4         
          jsr      DELAY50M         ; delay
          lda      #$03
          jsr      LCD_W_4         ; send 3
          jsr      DELAY50M
          lda      #$03
          jsr      LCD_W_4         ; send 3
          jsr      DELAY50M
          lda      #$02
          jsr      LCD_W_4         ; send 2
          jsr      DELAY50M
;
; write  $2c , in 4 bit mode
;LCDINNP:
;         lda      #$28
          lda      #$2c
          jsr      LD2PP_CD         ; write command
          jsr      DELAY10M         ; delay
;                  
; write $0f in 4 bit mode
          lda      #$06
;         lda      #$0f 
          jsr      LD2PP_CD          ; send command
          jsr      DELAY10M          ; delay
;                  
; write $14 in 4 bit mode
          lda      #$0e
          jsr      LD2PP_CD          ; send command
          jsr      DELAY10M          ; delay
;                 
; write $01 in 4 bit mode
          lda      #$01
          jsr      LD2PP_CD         ; send command
          jsr      DELAY20M         ; delay
          lda      #$80
          jsr      LD2PP_CD         ; send command
          jsr      DELAY10M         ; delay
;
; Reset Lcd states to rest
          bclr    LCD_RW,PTGD
          bclr    LCD_RS,PTED       ; RS select
          bclr    LCD_EN,PTED       ; turn all signals off on lcd
          
          rts
;
;
;
;-----------------------------------------------
; Lcd Routines
;
; Lcd Out Write a byte
LCD2PP_O:
      bset  LCD_RS,PTED     ; select lcd data buffer
      jsr   LCD_W_8         ; write byte
	rts
;
;=========================
; Send a String to the LCD
; Index register is loaded with address of string.
; continue until reading a zero.
;LCDSTRP:
;          lda     0,x      ; load byte from string
;          beq     LCDLSEP  ; if zero then end
;          pshx             ; save x
;       
;          jsr     LCD2PP_O  ; send character to lcd
;          pulx              ; restore x
;          inx
;          bra     LCDSTRP
;LCDLSEP   lda     #$20     ; add space
;          jsr     LCD2PP_O
;          rts
;========================
;========================
; Send one string to Lcd
; load 16 bit pointer after jsr
; sends space after string
; Lcdstr1S is calling from sub,sub
;LCDST1SP:
;         
;          puld             ; get d (return address)
;          puly    0,sp     ; get the return Pc value
;          ldx     0,y      ; string location pointed to by Pc
;          iny              ; skip over string pointer
;          iny
;          pshy
;          pshd             ; save d (return address)
;          jsr     LCDSTRP  ; send string
;          rts
;
;LCDSTR1:
;          jsr     LCDST1SP  ; send one string + space
;          rts
;
;===================


;
; Lcd Write 4 bit Data , lower 4 bits of acc A
; Bit assignment
;         Port G           
;      3 = LCD_RW     High = Read Low = Write
;      4 = Lcd-Db4       
;      5 = Lcd-Db5       
;      6 = Lcd-Db6      
;      7 = Lcd=Db7      
;
;         Port E
;      6 = LCD_RS     low = Command  High = Data
;      7 = LCD_EN
;       
LCD_W_4:
         psha                      ; save data
         lda      #$07             ; mask r/w low
         and      PTGD             ; clear data bits in PTGD
         sta      PTGD             ; save
         pula                      ; get data
         lsla                      ; move to bits 4 - 7
         lsla
         lsla
         lsla 
         ora      PTGD             ; set data bits
         sta      PTGD             ; write data bits
         mov      #$f8,PTGDD       ; set bits 4-7 as outputs
          
         bclr     LCD_EN,PTED      ; enable low
         jsr      DELAY1MS         ; delay for LCD
         bset     LCD_EN,PTED       ; latch data
         jsr      DELAY1MS         ; delay for LCD 
         bclr     LCD_EN,PTED      ; enable low
         jsr      DELAY1MS
         rts
;
;
; Lcd Write 8 bit Data , lower 4 bits first in acc A
LCD_W_8:

         psha                     ; save a 
         lsra                     ; shift upper 4 bits to lower
         lsra
         lsra
         lsra
         jsr      LCD_W_4        ; write upper 4 bits to lcd
         pula
         jsr      LCD_W_4         ; write lower 4 bits to lcd
         rts
;
;
; Lcd Command
LD2PP_CD:
        bclr   LCD_RS,PTED        ; select lcd command buffer
        jsr    LCD_W_8           ; wait
        bset   LCD_RS,PTED        ; select data buffer
        rts
;

;
; Delay routines
;
;

