;
;
; =============================================================
;
;   SET_308.asm     Axiom M68EVB08GB60 
;                                 
;   Version:        1.0   Released 01/15/2003
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Platform:       Axiom M68EVB08GB60 AXM-0308
;   Purpose:        Verify the board is setup.
; =============================================================
;
; Equates
;
;
Set_308:
;
;
; Setup Clock          
           jsr  Osc_16M       ; set FLL to 16M
;
; setup Sci1
           jsr  Sci1set       ; 8 bits
           jsr  Sci11619      ; 19200 baud
; setup Sci2
           jsr  Sci2set       ; 8 bits
           jsr  Sci21619      ; 19200 baud
;
;
; Setup IRQ line
           mov  #$15,IRQSC    ; no interrupt, low level trigger
;
;
; Setup Analog Channel
           mov  #$c8,ADCTL    ; right justified
           
           mov  #$ff,ADPE     ; turn on all a/d's
           mov  #$20,ADSC     ; start conversion channel 0
;
;
; Port D Setup
; PTD0 = Buzzer      Out
; PTD1 =             Out
; PTD2 =             Out
; PTD3 =             Out 
; PTD4 =             Out
; PTD5 =             Out
; PTD6 = Com2 pin 4  In
; PTD7 = Com2 pin 7  In
;
             mov   #$00,PTDD     ; set all low
             mov   #$3f,PTDDD    ; set direction register 
;
;
; Setup Port F
; PTF0 = LED1
; PTF1 = LED2
; PTF2 = LED3
; PTF3 = LED4
; PTF4 = Unused
; PTF5 = Unused
; PTF6 = COM2 pin 1 output
; PTF7 = COM2 pin 8 (422_485)output
;
             mov  #$cf,PTFDD      ; setup port F
             Mov  #$0F,PTFD       ;          
;
;
; Port E Setup
; PTE0 = TXD1
; PTE1 = RXD1
; PTE2 = SS*
; PTE3 = MISO
; PTE4 = MOSI
; PTE5 = SPSCK
; PTE6 = LCD_RS
; PTE7 = LCD_EN
;
            lda  #$fd       ; setup bits 2 - 7
            sta  PTED
            lda  #$fd       ; setup bits 0, 2 - 7 as outputs
            sta  PTEDD
;
;



;
; Port G Setup
; bit 3 = R_W
; bit 4 = DB4
; bit 5 = DB5
; bit 6 = DB6
; bit 7 = DB7
;
            lda #$08        ; set R_W high, data bits low
            sta PTGD        ; config level
            lda #$08        ; bits 4 - 7 as inputs, 3 as output
            sta PTGDD       ; config direction
;
;
;
            rts


