;----------------------------------------------------
; Memory map for registers and peripherals for GB60
;	modified from gb60_io.h provided by TSPG
;----------------------------------------------------
; 			Bing Xu, Sep. 2002 
;----------------------------------------------------


PTAD:		EQU		$00	; Port A data register
PTAPE:		EQU		$01	; Port A pull-up enable register
PTASE:		EQU		$02	; Port A slew rate enable register
PTADD:		EQU		$03	; Port A data direction register

PTBD:		EQU		$04	; Port B data register
PTBPE:		EQU		$05	; Port B pull-up enable register
PTBSE:		EQU		$06	; Port B slew rate enable register
PTBDD:		EQU		$07	; Port B data direction register

PTCD:		EQU		$08	; Port C data register
PTCPE:		EQU		$09	; Port C pull-up enable register
PTCSE:		EQU		$0A	; Port C slew rate enable register
PTCDD:		EQU		$0B	; Port C data direction register

PTDD:		EQU		$0C	; Port D data register
PTDPE:		EQU		$0D	; Port D pull-up enable register
PTDSE:		EQU		$0E	; Port D slew rate enable register
PTDDD:		EQU		$0F	; Port D data direction register

PTED:		EQU		$10	; Port E data register
PTEPE:		EQU		$11	; Port E pull-up enable register
PTESE:		EQU		$12	; Port E slew rate enable register
PTEDD:		EQU		$13	; Port E data direction register

IRQSC:		EQU		$14	; Interrupt Status and Control Register

KBI1SC:		EQU		$16	; KBI status and control register
KBI1PE:		EQU		$17	; KBI pin enable controls

SCI1BD:		EQU		$18	; SCI1 baud rate register
SCI1BDH:	EQU		$18	; SCI1 baud rate register (high byte)
SCI1BDL:	EQU		$19	; SCI1 baud rate register (low byte)
SCI1C1:		EQU		$1A	; SCI1 control register 1
SCI1C2:		EQU		$1B	; SCI1 control register 2
SCI1S1:		EQU		$1C	; SCI1 status register 1
SCI1S2:		EQU		$1D	; SCI1 status register 2
SCI1C3:		EQU		$1E	; SCI1 control register 3
SCI1DRL:	EQU		$1F	; SCI1 data register (low byte)

SCI2BD:		EQU		$20	; SCI1 baud rate register
SCI2BDH:	EQU		$20	; SCI1 baud rate register (high byte)
SCI2BDL:	EQU		$21	; SCI1 baud rate register (low byte)
SCI2C1:		EQU		$22	; SCI1 control register 1
SCI2C2:		EQU		$23	; SCI1 control register 2
SCI2S1:		EQU		$24	; SCI1 status register 1
SCI2S2:		EQU		$25	; SCI1 status register 2
SCI2C3:		EQU		$26	; SCI1 control register 3
SCI2DRL:	EQU		$27	; SCI1 data register (low byte)
					; ?? double check SPI reg. ??
SPICR1:		EQU		$28	; SPI control register 1
SPICR2:		EQU		$29	; SPI control register 2
SPIBR:		EQU		$2A	; SPI baud rate select
SPISR:		EQU		$2B	; SPI status register
SPIDR:		EQU		$2D	; SPI data register

TPM1SC:		EQU		$30	; TPM1 status and control registe 
TPM1CNT:	EQU		$31	; TPM1 counter
TPM1CNTH:	EQU		$31	; TPM1 counter (high byte)
TPM1CNTL:	EQU		$32	; TPM1 counter (low byte) 
TPM1MOD:	EQU		$33	; TPM1 modulo register
TPM1MODH:	EQU		$33	; TPM1 modulo register (high byte)
TPM1MODL:	EQU		$34	; TPM1 modulo register(low byte)
TPM1C0SC:	EQU		$35	; TPM1 channel 0 status and control
TPM1C0V:	EQU		$36	; TPM1 channel 0 value register
TPM1C0VH:	EQU		$36	; TPM1 channel 0 value register (high)
TPM1C0VL:	EQU		$37	; TPM1 channel 0 value register (low)
TPM1C1SC:	EQU		$38	; TPM1 channel 1 status and control
TPM1C1V:	EQU		$39	; TPM1 channel 1 value register
TPM1C1VH:	EQU		$39	; TPM1 channel 1 value register (high)
TPM1C1VL:	EQU		$3A	; TPM1 channel 1 value register (low)
TPM1C2SC:	EQU		$3B	; TPM1 channel 2 status and control
TPM1C2V:	EQU		$3C	; TPM1 channel 2 value register
TPM1C2VH:	EQU		$3C	; TPM1 channel 2 value register (high)
TPM1C2VL:	EQU		$3D	; TPM1 channel 2 value register (low)

PTFD:		EQU		$40	; Port F data register
PTFPE:		EQU		$41	; Port F pull-up enable register
PTFSE:		EQU		$42	; Port F slew rate enable register
PTFDD:		EQU		$43	; Port F data direction register

PTGD:		EQU		$44	; Port G data register
PTGPE:		EQU		$45	; Port G pull-up enable register
PTGSE:		EQU		$46	; Port G slew rate enable register
PTGDD:		EQU		$47	; Port G data direction register

ICGC1:		EQU		$48	; ICG Control Register 1
ICGC2:		EQU		$49	; ICG Control Register 2
ICGS1:		EQU		$4A	; ICG Status Register 1 
ICGS2:		EQU		$4B	; ICG Status Register 2
ICGFLTU:	EQU		$4C	; ICG Upper Filter Register
ICGFLTL:	EQU		$4D	; ICG Lower Filter Register
ICGTRM:		EQU		$4E	; ICG Trim Register
ICGTST:		EQU		$4F	; ICG Test Register

ADCTL:		EQU		$50	; ATD Control Register
ADSC:		EQU		$51	; ATD Status/Control Register
ADR:		EQU		$52	; ATD Result Register
ADRH:		EQU		$52	; ATD Result Register High
ADRL:		EQU		$53	; ATD Result Register Low
ADPE:		EQU		$54	; ATD Pin Enable 
ADTEST0:	EQU		$55	; ATD Test Register 0
ADTEST1:	EQU		$56	; ATD Test Register 1
ADTEST2:	EQU		$57	; ATD Test Register 2 

IBA:		EQU		$58	; IIC-Bus Address Register
IBFD:		EQU		$59	; IIC-Bus Frequency Divider Register
IBCR:		EQU		$5A	; IIC-Bus Control Register
IBSR:		EQU		$5B	; IIC-Bus Status Register
IBDR:		EQU		$5C	; IIC-Bus Data I/O Register

TPM2SC:		EQU		$60	; TPM2 status and control register
TPM2CNT:	EQU		$61	; TPM2 counter
TPM2CNTH:	EQU		$61	; TPM2 counter (high byte)
TPM2CNTL:	EQU		$62	; TPM2 counter (low byte)
TPM2MOD:	EQU		$63	; TPM2 modulo register
TPM2MODH:	EQU		$63	; TPM2 modulo register (high byte)
TPM2MODL:	EQU		$64	; TPM2 modulo register(low byte)
TPM2C0SC:	EQU		$65	; TPM2 channel 0 status and control
TPM2C0V:	EQU		$66	; TPM2 channel 0 value register
TPM2C0VH:	EQU		$66	; TPM2 channel 0 value register (high)
TPM2C0VL:	EQU		$67	; TPM2 channel 0 value register (low)

SIMRS:		EQU		$1800	; SIM reset status register
SIMC:		EQU		$1801	; SIM control (BDC access only)
SIMOPT:		EQU		$1802	; SIM options register (write once)
SBCO:           equ             $1805   ; clock out
SIMIDH:		EQU		$1806	; SIM Part I.D. high (read-only)
SIMIDL:		EQU		$1807	; SIM Part I.D. low (read-only)

PMCRSC:		EQU		$1808	; PMC Real-Time Interrupt Status & Control
PMCSC1:		EQU		$1809	; PMC Status & Control 1
PMCSC2:		EQU		$180A	; PMC Status & Control 2
PMCT:		EQU		$180B	; PMC Test

DBGCAH:		EQU		$1810	; DBG comparator register A (high)
DBGCAL:		EQU		$1811	; DBG comparator register A (low)
DBGCBH:		EQU		$1812	; DBG comparator register B (high)
DBGCBL:		EQU		$1813	; DBG comparator register B (low)
DBGFH:		EQU		$1814	; DBG FIFO register (high)
DBGFL:		EQU		$1815	; DBG FIFO register (low)
DBGC:		EQU		$1816	; DBG control register
DBGT:		EQU		$1817	; DBG trigger register
DBGS:		EQU		$1818	; DBG status register

FECDIV:		EQU		$1820	; Flash/EE clock divider register
FEOPT:		EQU		$1821	; Flash/EE option register
FECNFG:		EQU		$1823	; Flash/EE configuration register
FPROT:		EQU		$1824	; Flash protection register 
FSTAT:		EQU		$1825	; Flash status register 
FCMD:		EQU		$1826	; Flash command register  

NVBACKKEY:	EQU		$FFB0	; 8-byte backdoor comparison key
NVEPROT:	EQU		$FFB8	; NV EEPROM protection byte
NVFPROT:	EQU		$FFBD	; NV flash protection byte
NVFEOPT:	EQU		$FFBF	; NV flash options byte
